package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 入库任务单对象 t_ongoodsshelf
 *
 * @author tony.wu
 * @date 2022-05-29
 */
@TableName("t_ongoodsshelf")
public class TOngoodsshelf extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 订单号
     */
    @Excel(name = "订单号")
    @TableField("WMSORDERID")
    private String wmsorderid;

    /**
     * 物料编号
     */
    @Excel(name = "物料编号")
    @TableField("GOODSID")
    private String goodsid;

    /**
     * 物料名称
     */
    @Excel(name = "物料描述")
    @TableField("GOODSNAME")
    private String goodsname;

    /**
     * 生产批号
     */
    @Excel(name = "批次号")
    @TableField("PRODUCLOTID")
    private String produclotid;

    /**
     * 实际上架数量
     */
    @Excel(name = "数量")
    @TableField("SHELF_NUM")
    private BigDecimal shelfNum;

    /**
     * 生产日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期")
    @TableField("PRODUCTION_DATE")
    private String productionDate;

    /**
     * 失效日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期")
    @TableField("EXPIRATION_DATE")
    private String expirationDate;

    /**
     * 供应商编号
     */
    @Excel(name = "供应商编号")
    @TableField("PROVIDER_ID")
    private String providerId;

    /**
     * 重量
     */
    @Excel(name = "重量")
    @TableField("WGH")
    private String wgh;

    /**
     * 库位编号
     */
    @Excel(name = "库位编号")
    @TableField("LOCATION_ID")
    private String locationId;

    /**
     * 入库站台
     */
    @Excel(name = "入库站台")
    @TableField("INSTAND")
    private String instand;

    /**
     * 托盘号
     */
    @Excel(name = "托盘号")
    @TableField("CTL")
    private String ctl;

    /**
     * 操作人员姓名
     */
    @Excel(name = "操作人员")
    @TableField("USERNAME")
    private String userName;

    /**
     * 创建日期
     */
    @Excel(name = "创建日期")
    @TableField("CREATE_DATE")
    private String createDate;

    /**
     * 入库单号
     */
    @TableField("LOT_ID")
    private String lotId;

    /**
     * 入库数量
     */
    @TableField("STO_NUM")
    private BigDecimal stoNum;

    /**
     * 上架数量
     */
    @TableField("ACC_NUM")
    private BigDecimal accNum;


    /**
     * 剩余数量
     */
    @TableField("STOCK_NUM")
    private BigDecimal stockNum;

    /**
     * 入库时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("ONDATE")
    private Date ondate;

    /**
     * 入库操作人
     */
    @TableField("ONSHELFUSERID")
    private String onshelfuserid;

    /**
     * 仓库编号
     */
    @TableField("STORAGE_ID")
    private String storageId;

    /**
     * 库区
     */
    @TableField("STORAGE_AREA_ID")
    private String storageAreaId;

    /**
     * 上架物料编号
     */
    @TableField("UPGOODS_ID")
    private String upgoodsId;

    /**
     * 容量
     */
    @TableField("HASVOLUME")
    private BigDecimal hasvolume;

    /**
     * 物料类型编号
     */
    @TableField("GOODS_TYPEID")
    private String goodsTypeid;

    /**
     * 存储模式
     */
    @TableField("STORAGE_MODE")
    private String storageMode;


    /**
     * 货量
     */
    @TableField("GOODSVOLUME")
    private BigDecimal goodsvolume;

    /**
     * 物料条码
     */
    @TableField("BARCODE")
    private String barcode;

    /**
     * 客户编号
     */
    @TableField("CUSTOMER_ID")
    private String customerId;

    /**
     * 任务号
     */
    @TableField("PLCID")
    private Long plcid;

    /**
     * 高
     */
    @TableField("HIGH")
    private String high;

    /**
     * 状态
     */
    @TableField("INSTATUS")
    private String instatus;

    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;

    /**
     * 保质期
     */
    @TableField("BAOZHIQI")
    private String baozhiqi;

    /**
     * 仓库
     */
    @TableField("WHSELOC")
    private String whseloc;

    /**
     * 设备编号
     */
    @TableField("DECID")
    private String decid;

    /**
     * 任务类型
     */
    @TableField("TASKTYPE")
    private String tasktype;

    /**
     * 规格编号
     */
    @TableField("GOODS_MEASURE_ID")
    private String goodsMeasureId;

    /**
     * 装箱号
     */
    @TableField("PACKING_NUM")
    private BigDecimal packingNum;

    /**
     * 损坏数
     */
    @TableField("DAMAGE_NUM")
    private BigDecimal damageNum;

    /**
     * 损坏位置
     */
    @TableField("DAMAGE_LOCATION")
    private String damageLocation;

    /**
     * 仓储标识
     */
    @TableField("WAREHOUSING_ID")
    private String warehousingId;

    /**
     * 净重
     */
    @TableField("NET_WEIGH")
    private BigDecimal netWeigh;

    /**
     * 毛重
     */
    @TableField("ROUGH_WEIGHT")
    private BigDecimal roughWeight;

    /**
     * 比例单位
     */
    @TableField("SCALE_UNIT")
    private String scaleUnit;

    /**
     * 总容积
     */
    @TableField("TOTAL_VOLUME")
    private BigDecimal totalVolume;

    /**
     * 总毛重
     */
    @TableField("TOTAL_ROUGH_WEIGHT")
    private BigDecimal totalRoughWeight;

    /**
     * 总净重
     */
    @TableField("TOTAL_NET_WEIGH")
    private BigDecimal totalNetWeigh;

    /**
     * 总额
     */
    @TableField("TOTAL_MONEY")
    private BigDecimal totalMoney;

    /**
     * 标识
     */
    @TableField("FLAG")
    private String flag;

    /**
     * 标准
     */
    @TableField("STANDARD")
    private String standard;

    /**
     * 内部批次号
     */
    @TableField("INNER_BATCH_NO")
    private String innerBatchNo;

    /**
     * 打印状态
     */
    @TableField("PRINTSTS")
    private String printsts;

    /**
     * 打印次数
     */
    @TableField("PRINTCS")
    private Long printcs;

    /**
     * 采购形式
     */
    @TableField("PURCHASETYPE")
    private Long purchasetype;

    /**
     * 上架状态
     */
    @TableField("ACC_STATUS")
    private String accStatus;

    /**
     * 是否人工码盘
     */
    @TableField("MANUAL_TRAY_STATE")
    private String manualTrayState;

    /**
     * 验收单号
     */
    @TableField("ACCE_ID")
    private String acceId;

    /**
     * 规格
     */
    @TableField("SPEC")
    private String spec;

    /**
     * 外部批次号
     */
    @TableField("BATCHNO")
    private String batchno;

    /**
     * 打印人编号
     */
    @TableField("PRINTUSID")
    private String printusid;

    /**
     * agv状态
     */
    @TableField("AGVSTS")
    private String agvsts;

    /**
     * agv开始位置
     */
    @TableField("AGVBGN")
    private String agvbgn;

    /**
     * agv结束位置
     */
    @TableField("AGVEND")
    private String agvend;
    /**
     * 订单号
     */
    @TableField("ORDER_ID")
    private String orderId;

    public void setLotId(String lotId) {
        this.lotId = lotId;
    }

    public String getExpirationDate() {
        return expirationDate;
    }

    public void setExpirationDate(String expirationDate) {
        this.expirationDate = expirationDate;
    }

    public String getLotId() {
        return lotId;
    }

    public void setGoodsid(String goodsid) {
        this.goodsid = goodsid;
    }

    public String getGoodsid() {
        return goodsid;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setStoNum(BigDecimal stoNum) {
        this.stoNum = stoNum;
    }

    public BigDecimal getStoNum() {
        return stoNum;
    }

    public void setAccNum(BigDecimal accNum) {
        this.accNum = accNum;
    }

    public BigDecimal getAccNum() {
        return accNum;
    }

    public void setShelfNum(BigDecimal shelfNum) {
        this.shelfNum = shelfNum;
    }

    public BigDecimal getShelfNum() {
        return shelfNum;
    }

    public void setStockNum(BigDecimal stockNum) {
        this.stockNum = stockNum;
    }

    public BigDecimal getStockNum() {
        return stockNum;
    }

    public void setOndate(Date ondate) {
        this.ondate = ondate;
    }

    public Date getOndate() {
        return ondate;
    }

    public void setOnshelfuserid(String onshelfuserid) {
        this.onshelfuserid = onshelfuserid;
    }

    public String getOnshelfuserid() {
        return onshelfuserid;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageAreaId(String storageAreaId) {
        this.storageAreaId = storageAreaId;
    }

    public String getStorageAreaId() {
        return storageAreaId;
    }

    public void setUpgoodsId(String upgoodsId) {
        this.upgoodsId = upgoodsId;
    }

    public String getUpgoodsId() {
        return upgoodsId;
    }

    public void setHasvolume(BigDecimal hasvolume) {
        this.hasvolume = hasvolume;
    }

    public BigDecimal getHasvolume() {
        return hasvolume;
    }

    public void setGoodsTypeid(String goodsTypeid) {
        this.goodsTypeid = goodsTypeid;
    }

    public String getGoodsTypeid() {
        return goodsTypeid;
    }

    public void setStorageMode(String storageMode) {
        this.storageMode = storageMode;
    }

    public String getStorageMode() {
        return storageMode;
    }

    public void setGoodsvolume(BigDecimal goodsvolume) {
        this.goodsvolume = goodsvolume;
    }

    public BigDecimal getGoodsvolume() {
        return goodsvolume;
    }

    public void setCtl(String ctl) {
        this.ctl = ctl;
    }

    public String getCtl() {
        return ctl;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setGoodsname(String goodsname) {
        this.goodsname = goodsname;
    }

    public String getGoodsname() {
        return goodsname;
    }

    public void setPlcid(Long plcid) {
        this.plcid = plcid;
    }

    public Long getPlcid() {
        return plcid;
    }

    public void setHigh(String high) {
        this.high = high;
    }

    public String getHigh() {
        return high;
    }

    public void setInstatus(String instatus) {
        this.instatus = instatus;
    }

    public String getInstatus() {
        return instatus;
    }

    public void setProduclotid(String produclotid) {
        this.produclotid = produclotid;
    }

    public String getProduclotid() {
        return produclotid;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }

    public void setBaozhiqi(String baozhiqi) {
        this.baozhiqi = baozhiqi;
    }

    public String getBaozhiqi() {
        return baozhiqi;
    }

    public void setWhseloc(String whseloc) {
        this.whseloc = whseloc;
    }

    public String getWhseloc() {
        return whseloc;
    }

    public void setInstand(String instand) {
        this.instand = instand;
    }

    public String getInstand() {
        return instand;
    }

    public void setWgh(String wgh) {
        this.wgh = wgh;
    }

    public String getWgh() {
        return wgh;
    }

    public void setDecid(String decid) {
        this.decid = decid;
    }

    public String getDecid() {
        return decid;
    }

    public void setTasktype(String tasktype) {
        this.tasktype = tasktype;
    }

    public String getTasktype() {
        return tasktype;
    }

    public void setGoodsMeasureId(String goodsMeasureId) {
        this.goodsMeasureId = goodsMeasureId;
    }

    public String getGoodsMeasureId() {
        return goodsMeasureId;
    }

    public void setPackingNum(BigDecimal packingNum) {
        this.packingNum = packingNum;
    }

    public BigDecimal getPackingNum() {
        return packingNum;
    }

    public void setDamageNum(BigDecimal damageNum) {
        this.damageNum = damageNum;
    }

    public BigDecimal getDamageNum() {
        return damageNum;
    }

    public void setDamageLocation(String damageLocation) {
        this.damageLocation = damageLocation;
    }

    public String getDamageLocation() {
        return damageLocation;
    }

    public void setWarehousingId(String warehousingId) {
        this.warehousingId = warehousingId;
    }

    public String getWarehousingId() {
        return warehousingId;
    }

    public void setNetWeigh(BigDecimal netWeigh) {
        this.netWeigh = netWeigh;
    }

    public BigDecimal getNetWeigh() {
        return netWeigh;
    }

    public void setRoughWeight(BigDecimal roughWeight) {
        this.roughWeight = roughWeight;
    }

    public BigDecimal getRoughWeight() {
        return roughWeight;
    }

    public void setScaleUnit(String scaleUnit) {
        this.scaleUnit = scaleUnit;
    }

    public String getScaleUnit() {
        return scaleUnit;
    }

    public void setTotalVolume(BigDecimal totalVolume) {
        this.totalVolume = totalVolume;
    }

    public BigDecimal getTotalVolume() {
        return totalVolume;
    }

    public void setTotalRoughWeight(BigDecimal totalRoughWeight) {
        this.totalRoughWeight = totalRoughWeight;
    }

    public BigDecimal getTotalRoughWeight() {
        return totalRoughWeight;
    }

    public void setTotalNetWeigh(BigDecimal totalNetWeigh) {
        this.totalNetWeigh = totalNetWeigh;
    }

    public BigDecimal getTotalNetWeigh() {
        return totalNetWeigh;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public String getStandard() {
        return standard;
    }

    public void setInnerBatchNo(String innerBatchNo) {
        this.innerBatchNo = innerBatchNo;
    }

    public String getInnerBatchNo() {
        return innerBatchNo;
    }

    public void setPrintsts(String printsts) {
        this.printsts = printsts;
    }

    public String getPrintsts() {
        return printsts;
    }

    public void setPrintcs(Long printcs) {
        this.printcs = printcs;
    }

    public Long getPrintcs() {
        return printcs;
    }

    public void setPurchasetype(Long purchasetype) {
        this.purchasetype = purchasetype;
    }

    public Long getPurchasetype() {
        return purchasetype;
    }

    public void setAccStatus(String accStatus) {
        this.accStatus = accStatus;
    }

    public String getAccStatus() {
        return accStatus;
    }

    public void setManualTrayState(String manualTrayState) {
        this.manualTrayState = manualTrayState;
    }

    public String getManualTrayState() {
        return manualTrayState;
    }

    public void setAcceId(String acceId) {
        this.acceId = acceId;
    }

    public String getAcceId() {
        return acceId;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public String getSpec() {
        return spec;
    }

    public void setWmsorderid(String wmsorderid) {
        this.wmsorderid = wmsorderid;
    }

    public String getWmsorderid() {
        return wmsorderid;
    }

    public void setBatchno(String batchno) {
        this.batchno = batchno;
    }

    public String getBatchno() {
        return batchno;
    }

    public void setPrintusid(String printusid) {
        this.printusid = printusid;
    }

    public String getPrintusid() {
        return printusid;
    }

    public void setAgvsts(String agvsts) {
        this.agvsts = agvsts;
    }

    public String getAgvsts() {
        return agvsts;
    }

    public void setAgvbgn(String agvbgn) {
        this.agvbgn = agvbgn;
    }

    public String getAgvbgn() {
        return agvbgn;
    }

    public void setAgvend(String agvend) {
        this.agvend = agvend;
    }

    public String getAgvend() {
        return agvend;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("lotId", getLotId())
                .append("goodsid", getGoodsid())
                .append("providerId", getProviderId())
                .append("locationId", getLocationId())
                .append("stoNum", getStoNum())
                .append("accNum", getAccNum())
                .append("shelfNum", getShelfNum())
                .append("stockNum", getStockNum())
                .append("ondate", getOndate())
                .append("onshelfuserid", getOnshelfuserid())
                .append("storageId", getStorageId())
                .append("storageAreaId", getStorageAreaId())
                .append("upgoodsId", getUpgoodsId())
                .append("hasvolume", getHasvolume())
                .append("goodsTypeid", getGoodsTypeid())
                .append("storageMode", getStorageMode())
                .append("productionDate", getProductionDate())
                .append("goodsvolume", getGoodsvolume())
                .append("ctl", getCtl())
                .append("barcode", getBarcode())
                .append("customerId", getCustomerId())
                .append("goodsname", getGoodsname())
                .append("plcid", getPlcid())
                .append("high", getHigh())
                .append("instatus", getInstatus())
                .append("produclotid", getProduclotid())
                .append("unit", getUnit())
                .append("baozhiqi", getBaozhiqi())
                .append("whseloc", getWhseloc())
                .append("instand", getInstand())
                .append("wgh", getWgh())
                .append("decid", getDecid())
                .append("tasktype", getTasktype())
                .append("goodsMeasureId", getGoodsMeasureId())
                .append("packingNum", getPackingNum())
                .append("damageNum", getDamageNum())
                .append("damageLocation", getDamageLocation())
                .append("warehousingId", getWarehousingId())
                .append("netWeigh", getNetWeigh())
                .append("roughWeight", getRoughWeight())
                .append("scaleUnit", getScaleUnit())
                .append("totalVolume", getTotalVolume())
                .append("totalRoughWeight", getTotalRoughWeight())
                .append("totalNetWeigh", getTotalNetWeigh())
                .append("totalMoney", getTotalMoney())
                .append("flag", getFlag())
                .append("standard", getStandard())
                .append("remark", getRemark())
                .append("innerBatchNo", getInnerBatchNo())
                .append("printsts", getPrintsts())
                .append("printcs", getPrintcs())
                .append("purchasetype", getPurchasetype())
                .append("accStatus", getAccStatus())
                .append("manualTrayState", getManualTrayState())
                .append("acceId", getAcceId())
                .append("spec", getSpec())
                .append("wmsorderid", getWmsorderid())
                .append("batchno", getBatchno())
                .append("printusid", getPrintusid())
                .append("agvsts", getAgvsts())
                .append("agvbgn", getAgvbgn())
                .append("agvend", getAgvend())
                .append("orderId", getOrderId())
                .append("createDate", getCreateDate())
                .append("userName", getUserName())
                .toString();
    }
}
